clash-ghc-1.8.4: Clash: a functional hardware description language - GHC frontend

Copyright | (C) 2021-2022 QBayLogic
License | BSD2 (see the file LICENSE)
Maintainer | QBayLogic B.V. <devops@qbaylogic.com>
Safe Haskell | None
Language | Haskell2010

Clash.GHCi.Common

Description

Synopsis

- checkImportDirs :: Foldable t => ClashOpts -> t FilePath -> IO ()
- checkMonoLocalBinds :: DynFlags -> IO ()
- checkMonoLocalBindsMod :: ModSummary -> IO ()
- getMainTopEntity :: HasCallStack => String -> ClashDesign -> String -> IO (TopEntityT, [TopEntityT])

# Documentation

checkImportDirs :: Foldable t => ClashOpts -> t FilePath -> IO () Source #

checkMonoLocalBinds :: DynFlags -> IO () Source #

Checks whether MonoLocalBinds and MonomorphismRestriction language extensions are enabled when generating the HDL directly e.g. in GHCi. modules.

checkMonoLocalBindsMod :: ModSummary -> IO () Source #

Checks whether MonoLocalBinds and MonomorphismRestricton language extensions are enabled or not in modules.

getMainTopEntity Source #

Arguments

:: HasCallStack |
=> String | Module name
-> ClashDesign |
-> String | string passed with -main-is
-> IO (TopEntityT, [TopEntityT]) | Throws exception if -main-is was set, but no such top entity was found. Otherwise, returns main top entity and all top entities (transitively) used in the main top entity.